#
# spec file for package xorg-x11-driver-video-nv (Version 2.0.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-driver-video-nv
BuildRequires:  pciutils-devel xorg-x11-devel xorg-x11-sdk
Url:            http://xorg.freedesktop.org/
License:        X11/MIT
AutoReqProv:    on
Version:        2.0.3
Release:        0.4.41
Summary:        Various X.Org video drivers
Group:          System/X11/Servers/XF86_4
Requires:       xorg-x11-server
Supplements:    modalias(pci:v000010DEd00000191sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000193sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000194sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000019Dsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000019Esv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000400sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000402sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000404sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000407sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000409sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Asv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Bsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Csv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Dsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Esv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000040Fsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000421sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000422sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000423sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000425sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000426sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000427sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000428sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000429sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000042Asv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000042Bsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000042Dsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000042Fsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000611sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000061Asv*sd*bc*sc*i*)
Source:         xf86-video-nv-%{version}.tar.bz2
Source1:        Imakefile
Source2:        Identity.map.%name
Source3:        Cards.%name
Source4:        ids.%name
ExclusiveArch:  %ix86 ia64 ppc ppc64 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes the following X.Org video drivers:

- ATI (ati, r128, radeon)

- Intel (i810)

- Matrox (mga)

- NVIDIA (nv)

- SIS (sis)

- VIA (via)



Authors:
--------
        Egbert Eich
        Keith Packard
        Roland Mainz
        Alan Coopersmith
        Russ Blaine
        Alexander Gottwald
        Alan Hourihane
        Chisato Yamauchi
        Eric Anholt
        Nolan Leake
        Stefan Dirsch
        Rik Faith
        Daniel Berrange
        Matthieu Herrb
        John Heasley
        Ryan Underwood
        Alex Deucher
        Ty Sarna
        Torrey T Lyons Darwin
        Stuart Kreitman
        Kevin E. Martin
        Greg Parker
        John Harper
        Adam Jackson
        Peter Kunzman
        Aaron Plattner
        Chisato Yamauchi
        Michel Daenzer
        Kristian Hgsberg
        Sren Sandmann
        Owen Taylor
        Mike A. Harris
        Ivan Kokshaysky
        Bryan Stine
        Guy Martin
        Paul Anderson
        Yu Shao
        David Dawes
        Harold L. Hunt II
        Andreas Luik
        Travis Tilley
        Ryan Lortie
        Ryan Breen
        Deron Johnson
        Ronny Vindenes
        Jim Gettys

%prep
%setup -n xf86-video-nv-%{version}
cp $RPM_SOURCE_DIR/Imakefile src

%build
cd src; xmkmf -a; cd ..
make -C src CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
make -C src install DESTDIR=$RPM_BUILD_ROOT \
                    MODULEDIR=/usr/X11R6/%{_lib}/modules/updates
mkdir -p $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/ \
         $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/ \
         $RPM_BUILD_ROOT/var/lib/hardware/ids
install -m 644 $RPM_SOURCE_DIR/Identity.map.%name \
   $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/
install -m 644 $RPM_SOURCE_DIR/Cards.%name \
   $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/ 
install -m 644 $RPM_SOURCE_DIR/ids.%name \
   $RPM_BUILD_ROOT/var/lib/hardware/ids

%post
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
fi
exit 0

%postun
if [ "$1" -eq 0 ]; then
  if ls var/lib/hardware/ids/* &> /dev/null; then
    cat  var/lib/hardware/ids/* > var/lib/hardware/hd.ids
  else
    rm -f var/lib/hardware/hd.ids
  fi
fi
exit 0

%files
%defattr(-,root,root)
%doc COPYING README.NV1 README.G80
%dir /usr/X11R6/%{_lib}/modules
%dir /usr/X11R6/%{_lib}/modules/updates
%dir /usr/X11R6/%{_lib}/modules/updates/drivers
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
/usr/X11R6/%{_lib}/modules/updates/drivers/*_drv.*
/usr/X11R6/%{_lib}/modules/updates/drivers/riva128.so
/usr/share/sax/sysp/maps/update/Identity.map.%name
/usr/share/sax/api/data/cdb/Cards.%name
/var/lib/hardware/ids/

%changelog
* Thu Apr 16 2009 sndirsch@suse.de
- This package is required for newer NVIDIA chips support, among
  which is Quadro NVS290 (FATE #305915)
* Sat Jan 26 2008 sndirsch@suse.de
- updated to release 2.0.3 developped for X.Org < 7.2
* Fri Nov  9 2007 sndirsch@suse.de
- commit-1261f12
  * Add new chips to the manpage.
- commit-5d9b75b
  * GeForce 8300 GS and GeForce 8400 GS.
- commit-100d7c7
  * GeForce 8800 Ultra
- commit-c511deb
  * Fix some harmless warnings.
- commit-24770cc
  * Fix some random colormap corruption on DFPs with certain
    pre-G80 GPUs.
- commit-63eb1a4
  * Support configs with BAR1 < total RAM < 256 MB.
- commit-bc43989
  * Put the GPU into don't corrupt the framebuffer mode to work
    around MacBook wackiness
- commit-ec78618
  * Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay
    corruption issue.
- commit-3bb842c
  * Nuke old RCS tags.
- commit-5b56964
  * New products.
- commit-1e12277
  * Remove unused headers.
- commit-1003bcb
  * G80 bug #12637: Unwedge the hardware if the BIOS left it stuck.
- commit-4da88cb
  * GeForce 8800 GT.
* Fri Nov  9 2007 sndirsch@suse.de
- created package (nv driver release 2.0.2)
